# Uses of Class
org.apache.lucene.util.Counter

Packages that use Counter
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of Counter in org.apache.lucene.util

  Methods in org.apache.lucene.util that return Counter
  Modifier and Type
  Method
  Description
  `abstract Counter`
  BytesRefHash.BytesStartArray.`bytesUsed()`
  A `Counter` reference holding the number of bytes used by this `BytesRefHash.BytesStartArray`.
  `Counter`
  BytesRefHash.DirectBytesStartArray.`bytesUsed()`
  `static Counter`
  Counter.`newCounter()`
  Returns a new counter.
  `static Counter`
  Counter.`newCounter(boolean threadSafe)`
  Returns a new counter.
  Constructors in org.apache.lucene.util with parameters of type Counter
  Modifier
  Constructor
  Description
  ``
  `BytesRefArray(Counter bytesUsed)`
  Creates a new `BytesRefArray` with a counter to track allocated bytes
  ``
  `DirectBytesStartArray(int initSize, Counter counter)`
  ``
  `DirectTrackingAllocator(Counter bytesUsed)`
  ``
  `RecyclingByteBlockAllocator(int maxBufferedBlocks, Counter bytesUsed)`
  Creates a new `RecyclingByteBlockAllocator`
  ``
  `RecyclingIntBlockAllocator(int blockSize, int maxBufferedBlocks, Counter bytesUsed)`
  Creates a new `RecyclingIntBlockAllocator`